<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/mainBackColor"
    android:orientation="vertical">

    <include
        android:id="@+id/titleBarLayout"
        layout="@layout/include_sub_base_title" />

    <include layout="@layout/include_line_view" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:scrollbars="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="@dimen/dp_10">

            <RelativeLayout
                android:id="@+id/shopLayout"
                style="@style/itemLayoutStyle"
                android:background="@drawable/bg_solid_layout_white_radius_10">

                <TextView
                    style="@style/textViewStyle"
                    android:text="原商铺\u3000" />

                <TextView
                    android:id="@+id/shopView"
                    style="@style/detailTextViewStyle"
                    android:hint="请选择" />

                <ImageView
                    android:id="@+id/v"
                    style="@style/rightImageStyle" />
            </RelativeLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginVertical="@dimen/dp_10"
                android:background="@drawable/bg_solid_layout_white_radius_10"
                android:orientation="vertical">

                <RelativeLayout style="@style/itemLayoutStyle">

                    <TextView
                        style="@style/textViewStyle"
                        android:text="社\u3000\u3000区" />

                    <TextView
                        android:id="@+id/communityNameView"
                        style="@style/detailTextViewStyle"
                        android:hint="社区通过地图选点获取" />
                </RelativeLayout>

                <include layout="@layout/include_line_view" />

                <RelativeLayout style="@style/itemLayoutStyle">

                    <TextView
                        style="@style/textViewStyle"
                        android:text="店铺地址" />

                    <EditText
                        android:id="@+id/shopLocationView"
                        style="@style/inputEditTextStyle"
                        android:layout_marginStart="100dp"
                        android:background="@null"
                        android:hint="请输入店铺地址" />
                </RelativeLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_solid_layout_white_radius_10"
                android:orientation="vertical">

                <RelativeLayout style="@style/itemLayoutStyle">

                    <TextView
                        style="@style/textViewStyle"
                        android:text="联系人\u3000" />

                    <EditText
                        android:id="@+id/shopKeeperView"
                        style="@style/inputEditTextStyle"
                        android:layout_marginStart="100dp"
                        android:background="@null"
                        android:hint="请输入店主姓名" />
                </RelativeLayout>

                <include layout="@layout/include_line_view" />

                <RelativeLayout style="@style/itemLayoutStyle">

                    <TextView
                        style="@style/textViewStyle"
                        android:text="联系电话" />

                    <EditText
                        android:id="@+id/phoneNumberView"
                        style="@style/inputEditTextStyle"
                        android:layout_marginStart="100dp"
                        android:background="@null"
                        android:hint="请输入店主手机号码"
                        android:inputType="phone"
                        android:maxLength="11" />
                </RelativeLayout>

                <include layout="@layout/include_line_view" />

                <TextView
                    style="@style/textViewStyle"
                    android:layout_height="@dimen/itemLayoutHeight"
                    android:text="商铺图片" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/addImageRecyclerView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="@dimen/dp_10"
                    android:layout_marginBottom="@dimen/dp_10"
                    android:nestedScrollingEnabled="false"
                    app:layoutManager="androidx.recyclerview.widget.GridLayoutManager"
                    app:spanCount="3" />
            </LinearLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>

    <Button
        android:id="@+id/submitButton"
        style="@style/MainButtonStyle"
        android:layout_marginHorizontal="@dimen/dp_10"
        android:layout_marginVertical="@dimen/dp_20"
        android:text="提交" />
</LinearLayout>